import { flags } from '@oclif/command';
import BaseCommand from '../base-command';
export default class Pr extends BaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        interactive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'base-branch': flags.IOptionFlag<string | undefined>;
        'ticket-id': flags.IOptionFlag<string | undefined>;
        'pr-title': flags.IOptionFlag<string | undefined>;
        draft: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        description: flags.IOptionFlag<string | undefined>;
    };
    run(): Promise<void>;
    private getGitBranches;
    private getJiraTicket;
    private makePullRequest;
}
