"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const plugin_help_1 = require("@oclif/plugin-help");
const base_command_1 = require("../../base-command");
class Config extends base_command_1.default {
    async run() {
        new plugin_help_1.default(this.config).showHelp(['config']);
    }
}
Config.description = 'view or change configuration settings';
Config.flags = {
    help: command_1.flags.help({ char: 'h' })
};
Config.examples = [
    'config:get jiraHost',
    'config:set jiraHost jira.mycompany.com',
];
Config.args = [];
exports.default = Config;
